Support Questions
Find answers, ask questions, and share your expertise

ambari upgrade from 2.2.0 to 2.2.1 giving error when doing $ ambari-server start

Solved Go to solution
Highlighted

ambari upgrade from 2.2.0 to 2.2.1 giving error when doing $ ambari-server start

Explorer

I was trying to update ambari 2.2.0 to 2.2.1.

I ran following commands on my machine:

$ cd /etc/yum.repos.d/

$ wget http://public-repo-1.hortonworks.com/ambari/centos7/2.x/updates/2.2.1.0/ambari.repo

# Install

$ yum install ambari-server

$ ambari-server start

First, time it was not giving any error when trying to start amari sever but was not able to login using "admin" "admin" username and password. Then i tried to stop and re-started Ambari and now i am getting below error.

[root@ttsv-lab-vmdb-01 jdk64]# [root@ttsv-lab-vmdb-01 jdk64]# tail -f var/log/ambari-server/ambari-server.out^C [root@ttsv-lab-vmdb-01 jdk64]# ambari-server start Using python /usr/bin/python2 Starting ambari-server Ambari Server running with administrator privileges. Organizing resource files at /var/lib/ambari-server/resources... Server PID at: /var/run/ambari-server/ambari-server.pid Server out at: /var/log/ambari-server/ambari-server.out Server log at: /var/log/ambari-server/ambari-server.log Waiting for server start.................... ERROR: Exiting with exit code -1. REASON: Ambari Server java process died with exitcode 255. Check /var/log/ambari-server/ambari-server.out for more information.

I checked the file /var/log/ambari-server/ambari-server.out but it was empty.

Thanks,

~Vinti

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted

Re: ambari upgrade from 2.2.0 to 2.2.1 giving error when doing $ ambari-server start

Explorer

I solved that issue by doing

$ ambari-server upgrade. I am able to login to web ui now.

View solution in original post

6 REPLIES 6
Highlighted

Re: ambari upgrade from 2.2.0 to 2.2.1 giving error when doing $ ambari-server start

Explorer

I checked ambari-server.log, it's saying database version issue.

[root@ttsv-lab-vmdb-01 jdk64]# tail -f /var/log/ambari-server/ambari-server.log 08 Mar 2016 11:49:57,623 INFO [main] ControllerModule:578 - Binding and registering notification dispatcher class org.apache.ambari.server.notifications.dispatchers.EmailDispatcher 08 Mar 2016 11:49:57,702 INFO [main] ControllerModule:578 - Binding and registering notification dispatcher class org.apache.ambari.server.notifications.dispatchers.SNMPDispatcher 08 Mar 2016 11:49:57,704 INFO [main] ControllerModule:578 - Binding and registering notification dispatcher class org.apache.ambari.server.notifications.dispatchers.AlertScriptDispatcher 08 Mar 2016 11:50:00,769 INFO [main] AmbariServer:807 - Getting the controller 08 Mar 2016 11:50:01,829 INFO [main] DatabaseChecker:154 - Checking DB store version 08 Mar 2016 11:50:02,531 WARN [main] DatabaseChecker:184 - Current database store version is not compatible with current server version, serverVersion=2.2.1.0, schemaVersion=2.2.0.0

08 Mar 2016 11:50:02,532 ERROR [main] AmbariServer:820 - Failed to run the Ambari Server org.apache.ambari.server.AmbariException: Current database store version is not compatible with current server version, serverVersion=2.2.1.0, schemaVersion=2.2.0.0 at org.apache.ambari.server.controller.utilities.DatabaseChecker.checkDBVersion(DatabaseChecker.java:185) at org.apache.ambari.server.controller.AmbariServer.main(AmbariServer.java:812) ^C

Regards,

~Vinti

Highlighted

Re: ambari upgrade from 2.2.0 to 2.2.1 giving error when doing $ ambari-server start

Explorer

I solved that issue by doing

$ ambari-server upgrade. I am able to login to web ui now.

View solution in original post

Highlighted

Re: ambari upgrade from 2.2.0 to 2.2.1 giving error when doing $ ambari-server start

Explorer

Hi @Vinti Maheshwari My HDP is 2.4 version i also facing same issue when i am doing upgrade it is asking for backup how can i take the backup of database is this necessary to take the backup of database orelse can i go directly for upgrade??/

Highlighted

Re: ambari upgrade from 2.2.0 to 2.2.1 giving error when doing $ ambari-server start

@sanka sandeep: It's always better to take backup or create a restore point on databases if you are upgrading. If something goes wrong during the process you can get back.

Highlighted

Re: ambari upgrade from 2.2.0 to 2.2.1 giving error when doing $ ambari-server start

Super Collaborator

Thank you for the solution. I found this helpful while upgrading from 2.2.2 to 2.4. Cheers!

Highlighted

Re: ambari upgrade from 2.2.0 to 2.2.1 giving error when doing $ ambari-server start

Explorer

I also have an issue to the ambari upgrade:

[root@centos7 /]# ambari-server upgrade Using python /usr/bin/python2.7 Upgrading ambari-server Updating properties in ambari.properties ... WARNING: Can not find ambari.properties.rpmsave file from previous version, skipping import of settings Fixing database objects owner Upgrading database schema ERROR: Error executing schema upgrade, please check the server logs. ERROR: Ambari server upgrade failed. Please look at /var/log/ambari-server/ambari-server.log, for more details. ERROR: Exiting with exit code 11. REASON: Schema upgrade failed.